var mongoose = require('mongoose');

var Schema = mongoose.Schema;

var SentMailSchema = new Schema(
  {
    message_id: {type: String, required: true, maxLength: 250},
    sent_id: {type: String, required: true, maxLength: 250},
    to: {type: String, required: true, maxLength: 150},
    from: {type: String, required: true, maxLength: 150},
    subject: {type: String, required: true, maxLength: 998},
    message: {type: String},
    sent_date: { type: Date, default: Date.now(), immutable: true },
    updated_date: { type: Date, default: Date.now() },
    sent: { type: Boolean, default: true },
    delivered: { type: Boolean, default: true },
    bounced: { type: Boolean, default: false },
    opened: { type: Boolean, default: false },
  }
);

//Export model
module.exports = mongoose.model('SentMail', SentMailSchema);
